Loading...
Searching...
No Matches
Ogre::DefaultZoneFactory Class Reference

`#include <OgrePCZoneFactory.h>`

Inheritance diagram for Ogre::DefaultZoneFactory:
[legend]

## Public Member Functions

| DefaultZoneFactory ()
virtual | ~DefaultZoneFactory ()
PCZone * | createPCZone (PCZSceneManager *pczsm, const String &zoneName) override
bool | supportsPCZoneType (const String &zoneType) override
Public Member Functions inherited from Ogre::PCZoneFactory
| PCZoneFactory (const String &typeName)
virtual | ~PCZoneFactory ()
const String & | getFactoryTypeName () const

## Additional Inherited Members

Public Attributes inherited from Ogre::PCZoneFactory
String | mFactoryTypeName
| Factory type name.

## Constructor & Destructor Documentation

## DefaultZoneFactory()

Ogre::DefaultZoneFactory::DefaultZoneFactory | ( |  | ) |

## ~DefaultZoneFactory()

virtual Ogre::DefaultZoneFactory::~DefaultZoneFactory | ( |  | ) |

virtual

## Member Function Documentation

## supportsPCZoneType()

bool Ogre::DefaultZoneFactory::supportsPCZoneType | ( | const String & | zoneType | ) |

override virtual

Implements Ogre::PCZoneFactory.

## createPCZone()

PCZone * Ogre::DefaultZoneFactory::createPCZone | ( | PCZSceneManager * | pczsm,
|  | const String & | zoneName )

override virtual

Implements Ogre::PCZoneFactory.

The documentation for this class was generated from the following file:

- OgrePCZoneFactory.h